/*
 * Copyright (C) 2013 by the University of Southern California
 * $Id$
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 */
#ifndef TABLE_HH
#define TABLE_HH

#include <cstdio>
#include <map>
#include <vector>
#include <string>

/*
	table class for each table/file
*/
class Table
{
public:
	Table (std::vector<std::string>, std::string, std::vector<std::string>);
	~Table();
	void put(std::string);
	void final(std::string);

private:
	void map_pipe();
	void clean_up();

	std::vector<std::string> schema;
	std::vector<std::string> compressor;
	std::string file_name;
	FILE* f = NULL;
	int fd = -1;
	bool is_stdout = false;
};

#endif// TABLE_HH
